-- 基础攻击力百分比提升或降低，每层1%，5000层以上取负值

modifier_base_attack_bonus_percent = class({})

local public = modifier_base_attack_bonus_percent

local m_modifier_funcs=
{
	MODIFIER_PROPERTY_BASEDAMAGEOUTGOING_PERCENTAGE,
}

function public:IsHidden()
	return true
end

function public:IsDebuff()
	return false
end

function public:IsPurgable()
	return false
end

function public:IsPurgable()
	return false
end

function public:DeclareFunctions()
	return m_modifier_funcs
end

function public:GetModifierBaseDamageOutgoing_Percentage()
	if self:GetStackCount() <= 5000 then 
		return self:GetStackCount()
	else		
		return -(self:GetStackCount() - 5000)
	end
end
